<?php
/**
 * Created by PhpStorm.
 * User: Kamel
 * Date: 11/03/2017
 * Time: 18:14
 */

namespace AppBundle\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Route;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\HttpFoundation\Session\Session;
use Symfony\Component\HttpFoundation\Session\Storage\PhpBridgeSessionStorage;


class HelloControlleur extends Controller
{

    /**
     * @Route("/hello/{name}", defaults={"name" = ""})
     *
*/

    public function nameAction($name)
    {
        $session = new Session(new PhpBridgeSessionStorage());
        $session->start();
        if($name == ""){
            if($session->has('name'))
                $name = $session->get('name');
            else {

                $name = self::generateRandomName();
                $session->set('name', $name);
            }
        }
        else{
            $session->set('name', $name);
        }
        return $this->render('default/hello.html.twig',['name' => $name]);

        //return new Response("<html><body><h1>Hello $name</h1></body></html>");
    }


    public function randomNameAction(){
     return new Response("<html><body><h1>Hello "
         .self::generateRandomName()
         ."</h1></body></html>");
 }

    static function generateRandomName()
    {
        $nouns = ['Circle', 'Cone', 'Cylinder', 'Ellipse', 'Hexagon',
            'Irregular Shape', 'Octagon', 'Oval', 'Parallelogram', 'Pentagon',
            'Pyramid', 'Rectangle', 'Semicircle', 'Sphere', 'Square', 'Star',
            'Trapezoid', 'Triangle', 'Wedge', 'Whorl'];
        $adjectives = ['Amusing', 'Athletic', 'Beautiful', 'Brave', 'Careless',
            'Clever', 'Crafty', 'Creative', 'Cute', 'Dependable', 'Energetic',
            'Famous', 'Friendly', 'Graceful', 'Helpful', 'Humble', 'Inconsiderate',
            'Likable', 'Middle Class', 'Outgoing', 'Poor', 'Practical', 'Rich',
            'Sad', 'Skinny', 'Successful', 'Thin', 'Ugly', 'Wealth'];
        return $adjectives[array_rand($adjectives)].' '.$nouns[array_rand($nouns)];
    }


}