<?php
/**
 * Created by PhpStorm.
 * User: Kamel
 * Date: 11/03/2017
 * Time: 18:26
 */

namespace Tests\AppBundle\Controller;

use AppBundle\Controller\HelloControlleur;
use Symfony\Bundle\FrameworkBundle\Test\WebTestCase;

class HelloControllerTest extends WebTestCase
{
    public function testHelloRandomRoute()
    {
        $client = static::createClient();

        $crawler = $client->request('GET', '/hello/{name}');

        $this->assertEquals(200, $client->getResponse()->getStatusCode());
        $this->assertContains('Hello ', $crawler->filter('h1')->text());
    }

    function testRandomNameGenerator(){
        $rdName = HelloControlleur::generateRandomName();
        $this->assertGreaterThan(1, strlen($rdName));
    }

function testenameAction(){
        $client = static ::createClient();
        $name2 = "Hello Albus Perceval Wulfric Brian Dumbledore";
        if ($client->request('GET','/hello/Albus Perceval Wulfric Brian Dumbledor')){
            $this->assertEquals('Hello Albus Perceval Wulfric Brian Dumbledore',$name2);}
        if ($client->request('GET','/hello')){
            $this->assertContains('Hello',$client->request('GET','/hello')->filter('h1')->text());
        }
}

}